package com.github.nullptroma.wallenc.ui.resources

import androidx.compose.runtime.Composable
import com.github.nullptroma.wallenc.domain.tasks.TaskLogLine

@Composable
fun TaskLogLine.displayText(): String {
    val key = logKey
    if (key != null) {
        return key.resolve(composableUiStringResolver())
    }
    return message
}
